Last Comment Bug 684825 - ASSERTION: QueryInterface needed: 'query_result.get() == mRawPtr' trying to get experimental-webgl context with options
: ASSERTION: QueryInterface needed: 'query_result.get() == mRawPtr' trying to g...
Status: RESOLVED FIXED
: assertion
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 05:02 PDT by neil@parkwaycc.co.uk
Modified: 2011-09-26 14:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch (2.51 KB, patch)
2011-09-09 03:17 PDT, neil@parkwaycc.co.uk
jmuizelaar: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2011-09-06 05:02:08 PDT
nsHTMLCanvasElement::GetContext creates a hash property bag to convert its context options into an nsIProperties object. Unfortunately a hash property bag has inherits multiply from nsIProperties and the wrong one gets put in the second nsCOMPtr. (I'm not sure why it uses two nsCOMPtrs in the first place.)
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-09-07 05:34:35 PDT
I've been meaning to file this for some time, thanks for doing that.
Comment 2 neil@parkwaycc.co.uk 2011-09-09 03:17:21 PDT
Created attachment 559410 [details] [diff] [review]
Proposed patch
Comment 3 Jeff Muizelaar [:jrmuizel] 2011-09-23 14:31:03 PDT
Comment on attachment 559410 [details] [diff] [review]
Proposed patch

Looks fine to me. Benoit should probably look, but I think it's fine for his review to come after landing.
Comment 4 neil@parkwaycc.co.uk 2011-09-24 13:18:07 PDT
Pushed changeset cb79942d0feb to mozilla-central.
Comment 5 neil@parkwaycc.co.uk 2011-09-24 14:41:08 PDT
Sorry, I should have said changeset afe75f8431ad of course.
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2011-09-25 11:36:29 PDT
https://hg.mozilla.org/mozilla-central/rev/afe75f8431ad
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2011-09-26 14:02:22 PDT
Comment on attachment 559410 [details] [diff] [review]
Proposed patch

I'm not a good reviewer for this code.

Note You need to log in before you can comment on or make changes to this bug.